## org.exist.security.xacml
Class AccessContext

    java.lang.Object
      org.exist.security.xacml.AccessContext

public final class AccessContext
extends java.lang.Object

This class represents the context from which an access is made.

Field Summary
`static java.lang.String` `INTERNAL` The postfix for all internal accesses.
`static AccessContext` `INTERNAL_PREFIX_LOOKUP` The context for access internally when the access is not made by any of the other contexts.
`static AccessContext` `REST` The context for access through the REST-style interface.
`static AccessContext` `SOAP` This represents when access is made through SOAP.
`static AccessContext` `TEST` The context for JUnit tests that directly make access not through the other contexts.
`static AccessContext` `TRIGGER` This represents when access is attempted as a result of a trigger.
`static AccessContext` `VALIDATION_INTERNAL` The context for trusted validation queries.
`static AccessContext` `WEBDAV` The context for access through WEBDAV
`static AccessContext` `XINCLUDE` The context for evaluating XInclude paths.
`static AccessContext` `XMLDB` This represents when access is made through XML:DB.
`static AccessContext` `XMLRPC` The context for remote access over XML-RPC.
`static AccessContext` `XQJ` This represents when access is made through XQJ

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL

    public static final java.lang.String INTERNAL

  The postfix for all internal accesses.

  See Also:
    Constant Field Values

### TRIGGER

    public static final AccessContext TRIGGER

  This represents when access is attempted as a result of a trigger.

### SOAP

    public static final AccessContext SOAP

  This represents when access is made through SOAP.

### XMLDB

    public static final AccessContext XMLDB

  This represents when access is made through XML:DB.

### XQJ

    public static final AccessContext XQJ

  This represents when access is made through XQJ

### REST

    public static final AccessContext REST

  The context for access through the REST-style interface.

### XMLRPC

    public static final AccessContext XMLRPC

  The context for remote access over XML-RPC.

### WEBDAV

    public static final AccessContext WEBDAV

  The context for access through WEBDAV

### INTERNAL_PREFIX_LOOKUP

    public static final AccessContext INTERNAL_PREFIX_LOOKUP

  The context for access internally when the access is not made by any of the other contexts. This should only be used if all actions are completely trusted, that is, no user input should be directly included in a query or any similar case.

### VALIDATION_INTERNAL

    public static final AccessContext VALIDATION_INTERNAL

  The context for trusted validation queries.

### TEST

    public static final AccessContext TEST

  The context for JUnit tests that directly make access not through the other contexts.

### XINCLUDE

    public static final AccessContext XINCLUDE

  The context for evaluating XInclude paths.

Method Detail

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.